bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#4436: marked as done (time-stamp funcs to be removed but didn't)


From: Emacs bug Tracking System
Subject: bug#4436: marked as done (time-stamp funcs to be removed but didn't)
Date: Sat, 19 Sep 2009 19:55:07 +0000

Your message dated Sat, 19 Sep 2009 15:46:40 -0400
with message-id <address@hidden>
and subject line Re: time-stamp funcs to be removed but didn't
has caused the Emacs bug report #4436,
regarding time-stamp funcs to be removed but didn't
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact address@hidden
immediately.)


-- 
4436: http://emacsbugs.donarmstrong.com/cgi-bin/bugreport.cgi?bug=4436
Emacs Bug Tracking System
Contact address@hidden with problems
--- Begin Message --- Subject: time-stamp funcs to be removed but didn't Date: Mon, 14 Sep 2009 15:47:40 -0400
As of (at least) 23.09.1 there is a comment in in /lisp/time-stamp.el

,----
| ;;; These functions have been obsolete since 1995
| ;;; and will be removed in Emacs 23.
| ;;; Meanwhile, discourage other packages from using them.
`----

`time-stamp-month-dd-yyyy'
`time-stamp-mon-dd-yyyy'
`time-stamp-yy/mm/dd'
`time-stamp-yyyy-mm-dd'
`time-stamp-hh:mm:ss'
`time-stamp-dd/mm/yyyy'
`time-stamp-dd-mon-yy'
`time-stamp-yyyy/mm/dd'
`time-stamp-yymmdd'
`time-stamp-hhmm'

_Will_ these functions be removed?
Or are these simply perpetually deprecated :)

s_P



--- End Message ---
--- Begin Message --- Subject: Re: time-stamp funcs to be removed but didn't Date: Sat, 19 Sep 2009 15:46:40 -0400
> As of (at least) 23.09.1 there is a comment in in /lisp/time-stamp.el

> ,----
> | ;;; These functions have been obsolete since 1995
> | ;;; and will be removed in Emacs 23.
> | ;;; Meanwhile, discourage other packages from using them.
> `----

Hmm, I wish we'd removed it in 23.1; that would have been a better time
to do that.  Still, I doubt anyone's still using these; I've gone ahead
and removed them in the trunk (23.2).  Thanks.

--- End Message ---

reply via email to

[Prev in Thread] Current Thread [Next in Thread]